Underdark Login Framework relies on fixed fieldnames

2012-05-03 10:44 - Niek Bergman

Status: New Start date: 2012-05-03

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: PageMaker Estimated time: 0.00 hour

Target version: µWeb beta release Spent time: 0.00 hour

Description

The ULF login handler expects a "username" and "password" field in the login form for it to do its job. These names could be more

generic, and should ideally be developer-configurable.

Related issues:

Related to µWeb - Bug #814: Underdark Login Framework - User creation and rem... New 2012-05-11

History

#1 - 2012-05-10 15:42 - Jan Klopper

Is this using /underdark/web/static/js/login.js?

If so, this is not true, as that code relies on an init function to hand it a dict of jquery IDs:

InitLoginFields({user:'#secure_user',

                 pass:'#secure_pass'});

 

Maybe want to make the code aware of string ID's, css queries, and direct objects being handen to it, to avoid the need for jquery

#2 - 2012-05-10 15:52 - Niek Bergman

Jan: the LoginMixin still expects a 'username' and 'password' field in the POST.

E.g.:

    password = str(self.post.getfirst('password', ''))

 

Also, the database field the LoginMixin looks at in SQL is named 'name'.

#3 - 2012-05-16 21:09 - Elmer de Looff

- Subject changed from ULF Login has predefined "username" and "password" fields. to Underdark Login Framework relies on fixed fieldnames

2025-05-09 1/2



- Description updated

- Category set to PageMaker

- Target version set to µWeb beta release
